--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -38,7 +38,7 @@ macro(library_target_setup tgt)
 
     get_target_property(name ${tgt} NAME)
     get_target_property(output_name ${tgt} OUTPUT_NAME)
-    if(NOT CMAKE_HOST_WIN32)
+    if(FALSE)
         # Create library symlink
         get_target_property(target_type ${tgt} TYPE)
         if(target_type STREQUAL "SHARED_LIBRARY")
@@ -67,16 +67,17 @@ endmacro()
 file(GLOB CXX_SOURCES *.cxx)
 
 add_library(pqxx ${CXX_SOURCES})
+set_target_properties(
+    pqxx PROPERTIES
+    SOVERSION ${SOVERSION}
+    VERSION ${PROJECT_VERSION}
+)
 
 get_target_property(pqxx_target_type pqxx TYPE)
 if(pqxx_target_type STREQUAL "SHARED_LIBRARY")
     target_compile_definitions(pqxx PUBLIC PQXX_SHARED)
 endif()
 
-set_target_properties(
-    pqxx PROPERTIES
-    OUTPUT_NAME $<IF:$<PLATFORM_ID:Windows>,pqxx,pqxx-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}>
-)
 library_target_setup(pqxx)
 
 # install pkg-config file
